SOAP
is_soap_fault
SOAP
PHP Manual

# SOAP Functions

## Predefined Classes

## SoapClient

## Constructor

- SoapClient->__construct - constructs a new SoapClient object

## Methods

- SoapClient->__call - Calls a SOAP function (deprecated)

- SoapClient->__doRequest - Performs a SOAP request

- SoapClient->__getFunctions - Returns list of SOAP functions

- SoapClient->__getLastRequest - Returns last SOAP request

- SoapClient->__getLastRequestHeaders - Returns last SOAP request headers

- SoapClient->__getLastResponse - Returns last SOAP response

- SoapClient->__getLastResponseHeaders - Returns last SOAP response headers

- SoapClient->__getTypes - Returns list of SOAP types

- SoapClient->__setCookie - Sets the cookie that will be sent with the SOAP request

- SoapClient->__soapCall - Calls a SOAP function

## SoapFault

## Constructor

- SoapFault->__construct - construct a new SoapFault object

## SoapHeader

SoapHeader is a special low-level class for passing or returning SOAP headers. It's just a data holder and it does not have any special methods except its constructor. It can be used in the SoapClient->__soapCall method to pass a SOAP header or in a SOAP header handler to return the header in a SOAP response.

## Constructor

- SoapHeader->__construct - construct a new SoapHeader object

## SoapParam

SoapParam is a special low-level class for naming parameters and returning values in non-WSDL mode. It's just a data holder and it does not have any special methods except its constructor.

## Constructor

- SoapParam->__construct - construct a new SoapParam object

## SoapServer

## Constructor

- SoapServer->__construct - construct a new SoapServer object

## Methods

- SoapServer->addFunction - Adds one or several functions those will handle SOAP requests

- SoapServer->fault -

- SoapServer->getFunctions - Returns list of defined functions

- SoapServer->handle - Handles a SOAP request

- SoapServer->setClass - Sets class which will handle SOAP requests

- SoapServer->setPersistence - Sets persistence mode of SoapServer

## SoapVar

SoapVar is a special low-level class for encoding parameters and returning values in non-WSDL mode. It's just a data holder and does not have any special methods except the constructor. It's useful when you want to set the type property in SOAP request or response.

## Constructor

- SoapVar->__construct - construct a new SoapVar object

## Table of Contents

- is_soap_fault — Checks if SOAP call was failed
- SoapClient->__call — Calls a SOAP function (deprecated)
- SoapClient->__construct — SoapClient constructor
- SoapClient->__doRequest — Performs a SOAP request
- SoapClient->__getFunctions — Returns list of SOAP functions
- SoapClient->__getLastRequest — Returns last SOAP request
- SoapClient->__getLastRequestHeaders — Returns last SOAP request headers
- SoapClient->__getLastResponse — Returns last SOAP response.
- SoapClient->__getLastResponseHeaders — Returns last SOAP response headers.
- SoapClient->__getTypes — Returns list of SOAP types
- SoapClient->__setCookie — Sets the cookie that will be sent with the SOAP request
- SoapClient->__soapCall — Calls a SOAP function
- SoapFault->__construct — SoapFault constructor
- SoapHeader->__construct — SoapHeader constructor
- SoapParam->__construct — SoapParam constructor
- SoapServer->addFunction — Adds one or several functions those will handle SOAP requests
- SoapServer->__construct — SoapServer constructor
- SoapServer->fault — Issue SoapServer fault indicating an error
- SoapServer->getFunctions — Returns list of defined functions
- SoapServer->handle — Handles a SOAP request
- SoapServer->setClass — Sets class which will handle SOAP requests
- SoapServer->setPersistence — Sets persistence mode of SoapServer
- SoapVar->__construct — SoapVar constructor
- use_soap_error_handler — Set whether to use the SOAP error handler and return the former value

SOAP
is_soap_fault
SOAP
PHP Manual